# This is a GitLab CI configuration to build the project as a docker image
# The file is generic enough to be dropped in a project containing a working Dockerfile
# Author: Florent CHAUVEAU <florent.chauveau@gmail.com>
# Mentioned here: https://blog.callr.tech/building-docker-images-with-gitlab-ci-best-practices/

# do not use "latest" here, if you want this to work in the future
image: docker:stable

stages:
  - build

#Use this if your GitLab runner does not use socket binding
services:
  - docker:dind

variables:
  CONTAINER_IMAGE: $CI_REGISTRY_IMAGE

before_script:
  - docker info
  - mkdir -p /root/.docker || true
  - cp docker.json /root/.docker/config.json
  - docker login -u gitlab-ci-token -p $CI_BUILD_TOKEN $CI_REGISTRY
  
build64:
  stage: build
  script:
    - docker pull rust:alpine
    - docker build
      -t $CONTAINER_IMAGE:latest .
    - docker push $CONTAINER_IMAGE:latest
  tags:
    - linux-own    
    
